<?php
$host = 'localhost';
$db   = 'digupdog_FEED';
$user = 'digupdog_FEEDadmin';
$pass = 'Raimundinho1';
$charset = 'utf8mb4';

try {
    $conn = new PDO("mysql:host=$host;dbname=$db;charset=$charset", $user, $pass);
    $conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    if (isset($_GET['id'])) {
        $id = $_GET['id'];
        $query = "DELETE FROM pinfeeds WHERE id = ?";
        $stmt = $conn->prepare($query);
        $stmt->execute([$id]);
    }
    header('Location: pindetails.php');  // Redireciona de volta para a página de detalhes ou onde você deseja redirecionar após a deleção.
} catch (PDOException $e) {
    echo 'Erro ao deletar o post: ' . $e->getMessage();
}
?>
